Get an automation
Returns a single automation with its trigger event, linked template, and active state.
GET
/v2/ accounts/ {accountId}/ automations/ {automationId}Path parameters
accountIdstringrequired
The account the request is scoped to.
automationIdstringrequired
Response
The automation.
Errors
401
Missing or invalid token, or the token is not authorized for this account/user.
404
The requested resource does not exist.
See Errors and rate limits for what error responses look like.
curl --location --request GET 'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/automations/YOUR_AUTOMATION_ID' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
const res = await fetch('https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/automations/YOUR_AUTOMATION_ID', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.SENDSTREAK_TOKEN}`
}
});
import os, requests
res = requests.get(
'https://api.sendstreak.com/v2/accounts/YOUR_ACCOUNT_ID/automations/YOUR_AUTOMATION_ID',
headers={'Authorization': f"Bearer {os.environ['SENDSTREAK_TOKEN']}"},
)
{
"_id": "665f0a2b1c9d440012ab34cd",
"name": "Example name",
"templateId": "6650cc1d3e8a220013ef78ab",
"triggerEventSlug": "signup",
"triggerEventCondition": "once",
"timingCondition": "immediately",
"timingValue": 3,
"isEnabled": false,
"createDate": "2026-07-07T09:30:00.000Z"
}